Subject: Re: [decade] Some specific DECADE requirements

From: Börje Ohlman <[email-masked]>
Date: Mon, 4 Oct 2010 13:53:42 +0200

Looking at the requirements document my proposed requirement (see 
below) can be seen as a clarification of what is already implicitly 
stated, by the term _logical element_ in:
> 3.1.  Storage Management
>
> 3.1.1.  Requirement
>
>     DECADE MUST support the ability for a user to own and manage storage
>     space at in-network storage element.  The in-network storage element
>     may be a logical element, and the physical resources used to support
>     that element are owned and managed by the provider.
I did not explicitly think about the de-duplication problem across 
multiple servers. I do not have an opinion of if that is something we 
want to address or not.

         Börje

On 2010-09-30 15:06, Richard Alimi wrote:
> Hi Börje,
>
> Just one clarification question...
>
> On Wed, Sep 29, 2010 at 5:42 AM, Börje Ohlman<[email-masked]>  wrote:
>
> [ ... snip ... ]
>
>> Regarding the general requirement on 'data reuse' it is clear that there
>> should be a requirement on the the storage system  part of DECADE that when
>> it is asked to store multiple copies of the same data object it should be
>> allowed to store only one physical copy of the data while, of course,
>> keeping track of who stored the different logical copies of the object.
> Are you referring to data de-duplication within a single server or
> multiple servers?
>
> One of these impacts the protocol, and the other does not.
>
> Thanks!
> Rich